dpkg-genbuildinfo(1)

NOM
dpkg-genbuildinfo - Créer des fichiers .buildinfo Debian.

SYNOPSIS
dpkg-genbuildinfo [option...]

DESCRIPTION
dpkg-genbuildinfo lit les informations à la fois dans une arborescence debian dépaquetée et déjà construite et sur les fichiers qui ont été créés ; puis il crée un fichier de contrôle décrivant l'environnement et les objets de construction (c'est le fichier .buildinfo).

Cette commande a été introduite dans dpkg 1.18.11.

OPTIONS

--build=type
    Indique un type de construction à partir d'une liste séparée par des virgules de composants.

    Les valeurs autorisées sont :

    any Génère les informations de construction comprenant les dépendances de construction non qualifiées (Build-Depends) et les dépendances de construction spécifiques à l'architecture (Build-Depends-Arch).

    all Génère les informations de construction comprenant les dépendances de construction non qualifiées (Build-Depends) et les dépendances de construction indépendantes de l'architecture (Build-Depends-Indep).

    source
        Effectivement ignoré : génère les informations de construction avec seulement les dépendances de construction non qualifiées (Build-Depends).

    binary
        Génère les informations de construction avec les trois types de dépendances de construction. C'est un alias de any,all.

    full
        Génère les informations de construction avec les trois types de dépendances de construction. C'est un alias de any,all,source. Identique au cas par défaut où aucune option de construction n'est indiquée.

-cfichier/control
    Indique le principal fichier de contrôle des sources où trouver des renseignements. Par défaut, c'est le fichier debian/control.

-lfichier-des-changements
    Indique le fichier des changements où trouver des renseignements. Par défaut, c'est le fichier debian/changelog.

-ffichier/liste-des-fichiers
    Indique où est la liste des fichiers qui ont été produits par la construction, au lieu d'utiliser le fichier debian/files.

-Fformat-du-fichier-des-changements
    Indique le format du fichier des changements. Voir dpkg-parsechangelog(1) pour plus d'informations à propos des formats gérés.

-O[nom-de-fichier]
    Affiche le fichier buildinfo sur la sortie standard (ou nom-de-fichier si précisé) au lieu de répertoire/nom-source_version-binaire_architecture.buildinfo (où répertoire est .. par défaut ou répertoire-des-fichiers-à-installer si l'option -u a été utilisée).

-urépertoire-des-fichiers-à-installer
    Cherche les fichiers à installer dans répertoire-des-fichiers-à-installer plutôt que dans ... (dpkg-genbuildinfo doit trouver ces fichiers de manière à mettre leurs tailles et leurs sommes de contrôle dans le fichier .buildinfo).

--always-include-kernel
    Par défaut le champ Build-Kernel-Version ne sera pas écrit.

    Il faut préciser cette option (depuis dpkg 1.19.0) pour toujours remplir un champ Build-Kernel-Version lors de la création de .buildinfo.

--always-include-path
    By default, the Build-Path field will only be written if the current directory starts with an allowed pattern.

    Dans Debian et ses dérivés, le motif correspond à /build/ au début du nom de chemin.

    Il faut préciser cette option pour toujours remplir un champ Build-Path lors de la création de .buildinfo.

--admindir=répertoire
    Change l'endroit où se trouve la base de données de dpkg. Par défaut, c'est /var/lib/dpkg.

-q  dpkg-genbuildinfo devrait afficher des messages d'information sur la sortie d'erreur standard. -q supprime ces messages.

-?, --help
    Affiche un message d'aide puis quitte.

--version
    Affiche le numéro de version puis quitte.

ENVIRONNEMENT

DEB_BUILD_OPTIONS
    Cette variable peut être utilisée pour activer ou désactiver diverses fonctions qui affectent les informations comprises dans le fichier .buildinfo au moyen de l'option buildinfo (depuis dpkg 1.18.19). Cette option fournit une liste, séparée par des virgules, de fonctionnalités, préfixées par les modificateurs « + » ou « - » pour indiquer s'il faut les activer ou les désactiver. La fonction spéciale « all » peut être utilisée pour activer ou désactiver toutes les autres fonctions. La fonction « path » contrôle l'inclusion sans condition du champ Build-Path.

DPKG_COLORS
    Définit le mode de couleur (depuis dpkg 1.18.5). Les valeurs actuellement acceptées sont auto (par défaut), always et never.

DPKG_NLS
    Si cette variable est définie, elle sera utilisée pour décider l'activation de la prise en charge des langues (NLS – Native Language Support), connu aussi comme la gestion de l'internationalisation (ou i18n) (depuis dpkg 1.19.0). Les valeurs permises sont : 0 et 1 (par défaut).

FICHIERS

debian/files
    La liste des fichiers créés. dpkg-genbuildinfo lit dans ce fichier les données nécessaires à la création du fichier .buildinfo.

VOIR AUSSI
deb-buildinfo(5).

TRADUCTION
Ariel VARDI <ariel.vardi@freesbee.fr>, 2002. Philippe Batailler, 2006. Nicolas François, 2006. Veuillez signaler toute erreur à <debian-l10n-french@lists.debian.org>.